<?php

/**
 * Implementation of hook_rules_defaults().
 */
function syndeploy_rules_defaults() {

  // Import exported configuration as per http://drupal.org/node/298634.
  $config =

array (
  'rules' => 
  array (
    'syndeploy_rule_node_create' => 
    array (
      '#type' => 'rule',
      '#set' => 'event_node_insert',
      '#label' => 'Add Syndeploy log entry after saving new content',
      '#active' => 1,
      '#weight' => '0',
      '#categories' => 
      array (
        0 => 'Syndeploy',
        1 => 'Node',
      ),
      '#status' => 'default',
      '#conditions' => 
      array (
      ),
      '#actions' => 
      array (
        0 => 
        array (
          '#info' => 
          array (
            'label' => 'Create a log entry to record a site change',
            'arguments' => 
            array (
              'node' => 
              array (
                'type' => 'node',
                'label' => 'Content',
              ),
              'updater' => 
              array (
                'type' => 'user',
                'label' => 'The user that makes the change',
              ),
              'type' => 
              array (
                'type' => 'number',
                'label' => 'The code for the change type',
              ),
            ),
            'module' => 'Syndeploy',
          ),
          '#name' => 'syndeploy_action_log_entry_create',
          '#settings' => 
          array (
            'type' => '<?php echo SYNDEPLOY_NODE_CREATE ?>',
            '#argument map' => 
            array (
              'node' => 'node',
              'updater' => 'user',
            ),
            '#eval input' => 
            array (
              'rules_input_evaluator_php' => 
              array (
                'type' => 
                array (
                ),
              ),
            ),
          ),
          '#type' => 'action',
          '#weight' => 0,
        ),
      ),
      '#version' => 6003,
    ),
    'syndeploy_rule_node_update' => 
    array (
      '#type' => 'rule',
      '#set' => 'event_node_update',
      '#label' => 'Add Syndeploy log entry after updating existing content',
      '#active' => 1,
      '#weight' => '0',
      '#categories' => 
      array (
        0 => 'Syndeploy',
        1 => 'Node',
      ),
      '#status' => 'default',
      '#conditions' => 
      array (
      ),
      '#actions' => 
      array (
        0 => 
        array (
          '#type' => 'action',
          '#settings' => 
          array (
            'type' => '<?php echo SYNDEPLOY_NODE_UPDATE ?>',
            '#argument map' => 
            array (
              'node' => 'node',
              'updater' => 'user',
            ),
            '#eval input' => 
            array (
              'rules_input_evaluator_php' => 
              array (
                'type' => 
                array (
                ),
              ),
            ),
          ),
          '#name' => 'syndeploy_action_log_entry_create',
          '#info' => 
          array (
            'label' => 'Create a log entry to record a site change',
            'arguments' => 
            array (
              'node' => 
              array (
                'type' => 'node',
                'label' => 'Content',
              ),
              'updater' => 
              array (
                'type' => 'user',
                'label' => 'The user that makes the change',
              ),
              'type' => 
              array (
                'type' => 'number',
                'label' => 'The code for the change type',
              ),
            ),
            'module' => 'Syndeploy',
          ),
          '#weight' => 0,
        ),
      ),
      '#version' => 6003,
    ),
    'syndeploy_rule_node_delete' => 
    array (
      '#type' => 'rule',
      '#set' => 'event_node_delete',
      '#label' => 'Add Syndeploy log entry after deleting content',
      '#active' => 1,
      '#weight' => '0',
      '#categories' => 
      array (
        0 => 'Syndeploy',
        1 => 'Node',
      ),
      '#status' => 'default',
      '#conditions' => 
      array (
      ),
      '#actions' => 
      array (
        0 => 
        array (
          '#type' => 'action',
          '#settings' => 
          array (
            'type' => '<?php echo SYNDEPLOY_NODE_DELETE ?>',
            '#argument map' => 
            array (
              'node' => 'node',
              'updater' => 'user',
            ),
            '#eval input' => 
            array (
              'rules_input_evaluator_php' => 
              array (
                'type' => 
                array (
                ),
              ),
            ),
          ),
          '#name' => 'syndeploy_action_log_entry_create',
          '#info' => 
          array (
            'label' => 'Create a log entry to record a site change',
            'arguments' => 
            array (
              'node' => 
              array (
                'type' => 'node',
                'label' => 'Content',
              ),
              'updater' => 
              array (
                'type' => 'user',
                'label' => 'The user that makes the change',
              ),
              'type' => 
              array (
                'type' => 'number',
                'label' => 'The code for the change type',
              ),
            ),
            'module' => 'Syndeploy',
          ),
          '#weight' => 0,
        ),
      ),
      '#version' => 6003,
    ),
    'syndeploy_rule_revisioning_revert' => 
    array (
      '#type' => 'rule',
      '#set' => 'event_revisioning_post_revert',
      '#label' => 'Add Syndeploy log entry after node has been reverted to revision',
      '#active' => 1,
      '#weight' => '0',
      '#categories' => 
      array (
        0 => 'Syndeploy',
        1 => 'Revisioning',
      ),
      '#status' => 'default',
      '#conditions' => 
      array (
      ),
      '#actions' => 
      array (
        0 => 
        array (
          '#type' => 'action',
          '#settings' => 
          array (
            'type' => '<?php echo SYNDEPLOY_REVISIONING_REVERT ?>',
            '#argument map' => 
            array (
              'node' => 'node',
              'updater' => 'user',
            ),
            '#eval input' => 
            array (
              'rules_input_evaluator_php' => 
              array (
                'type' => 
                array (
                ),
              ),
            ),
          ),
          '#name' => 'syndeploy_action_log_entry_create',
          '#info' => 
          array (
            'label' => 'Create a log entry to record a site change',
            'arguments' => 
            array (
              'node' => 
              array (
                'type' => 'node',
                'label' => 'Content',
              ),
              'updater' => 
              array (
                'type' => 'user',
                'label' => 'The user that makes the change',
              ),
              'type' => 
              array (
                'type' => 'number',
                'label' => 'The code for the change type',
              ),
            ),
            'module' => 'Syndeploy',
          ),
          '#weight' => 0,
        ),
      ),
      '#version' => 6003,
    ),
    'syndeploy_rule_revisioning_unpublish' => 
    array (
      '#type' => 'rule',
      '#set' => 'event_revisioning_post_unpublish',
      '#label' => 'Add Syndeploy log entry after node has been unpublished',
      '#active' => 1,
      '#weight' => '0',
      '#categories' => 
      array (
        0 => 'Syndeploy',
        1 => 'Revisioning',
      ),
      '#status' => 'default',
      '#conditions' => 
      array (
      ),
      '#actions' => 
      array (
        0 => 
        array (
          '#weight' => 0,
          '#type' => 'action',
          '#settings' => 
          array (
            'type' => '<?php echo SYNDEPLOY_REVISIONING_UNPUBLISH ?>',
            '#argument map' => 
            array (
              'node' => 'node',
              'updater' => 'user',
            ),
            '#eval input' => 
            array (
              'rules_input_evaluator_php' => 
              array (
                'type' => 
                array (
                ),
              ),
            ),
          ),
          '#name' => 'syndeploy_action_log_entry_create',
          '#info' => 
          array (
            'label' => 'Create a log entry to record a site change',
            'arguments' => 
            array (
              'node' => 
              array (
                'type' => 'node',
                'label' => 'Content',
              ),
              'updater' => 
              array (
                'type' => 'user',
                'label' => 'The user that makes the change',
              ),
              'type' => 
              array (
                'type' => 'number',
                'label' => 'The code for the change type',
              ),
            ),
            'module' => 'Syndeploy',
          ),
        ),
      ),
      '#version' => 6003,
    ),
    'syndeploy_rule_revisioning_delete' => 
    array (
      '#type' => 'rule',
      '#set' => 'event_revisioning_pre_delete',
      '#label' => 'Add Syndeploy log entry when node revision is going to be deleted',
      '#active' => 1,
      '#weight' => '0',
      '#categories' => 
      array (
        0 => 'Syndeploy',
        1 => 'Revisioning',
      ),
      '#status' => 'default',
      '#conditions' => 
      array (
      ),
      '#actions' => 
      array (
        0 => 
        array (
          '#weight' => 0,
          '#info' => 
          array (
            'label' => 'Create a log entry to record a site change',
            'arguments' => 
            array (
              'node' => 
              array (
                'type' => 'node',
                'label' => 'Content',
              ),
              'updater' => 
              array (
                'type' => 'user',
                'label' => 'The user that makes the change',
              ),
              'type' => 
              array (
                'type' => 'number',
                'label' => 'The code for the change type',
              ),
            ),
            'module' => 'Syndeploy',
          ),
          '#name' => 'syndeploy_action_log_entry_create',
          '#settings' => 
          array (
            'type' => '<?php echo SYNDEPLOY_REVISIONING_DELETE ?>',
            '#argument map' => 
            array (
              'node' => 'node',
              'updater' => 'user',
            ),
            '#eval input' => 
            array (
              'rules_input_evaluator_php' => 
              array (
                'type' => 
                array (
                ),
              ),
            ),
          ),
          '#type' => 'action',
        ),
      ),
      '#version' => 6003,
    ),
    'syndeploy_rule_revisioning_publish' => 
    array (
      '#type' => 'rule',
      '#set' => 'event_revisioning_post_publish',
      '#label' => 'Add Syndeploy log entry after pending revision has been published',
      '#active' => 1,
      '#weight' => '0',
      '#categories' => 
      array (
        0 => 'Syndeploy',
        1 => 'Revisioning',
      ),
      '#status' => 'default',
      '#conditions' => 
      array (
      ),
      '#actions' => 
      array (
        0 => 
        array (
          '#weight' => 0,
          '#type' => 'action',
          '#settings' => 
          array (
            'type' => '<?php echo SYNDEPLOY_REVISIONING_PUBLISH ?>',
            '#argument map' => 
            array (
              'node' => 'node',
              'updater' => 'user',
            ),
            '#eval input' => 
            array (
              'rules_input_evaluator_php' => 
              array (
                'type' => 
                array (
                ),
              ),
            ),
          ),
          '#name' => 'syndeploy_action_log_entry_create',
          '#info' => 
          array (
            'label' => 'Create a log entry to record a site change',
            'arguments' => 
            array (
              'node' => 
              array (
                'type' => 'node',
                'label' => 'Content',
              ),
              'updater' => 
              array (
                'type' => 'user',
                'label' => 'The user that makes the change',
              ),
              'type' => 
              array (
                'type' => 'number',
                'label' => 'The code for the change type',
              ),
            ),
            'module' => 'Syndeploy',
          ),
        ),
      ),
      '#version' => 6003,
    ),
  ),
);

  return $config;
}

