<?php

/**
 * @file
 * Views implementation for Syndeploy.
 */

/**
 * Implementation of hook_views_default_views().
 */
function syndeploy_views_default_views() {

  // Create the primary view of changes.
$view = new view;
$view->name = 'syndeploy_log';
$view->description = 'A view of Syndeploy log entries';
$view->tag = 'Syndeploy';
$view->base_table = 'node';
$view->core = 6;
$view->api_version = '2';
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
$handler = $view->new_display('default', 'Defaults', 'default');
$handler->override_option('fields', array(
  'field_syndeploy_update_id_value' => array(
    'label' => 'Update ID',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'absolute' => 0,
      'link_class' => '',
      'alt' => '',
      'rel' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 1,
    'label_type' => 'widget',
    'format' => 'default',
    'multiple' => array(
      'group' => TRUE,
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_reversed' => FALSE,
    ),
    'exclude' => 0,
    'id' => 'field_syndeploy_update_id_value',
    'table' => 'node_data_field_syndeploy_update_id',
    'field' => 'field_syndeploy_update_id_value',
    'relationship' => 'none',
  ),
  'field_syndeploy_entity_uuid_value' => array(
    'label' => 'Entity UUID',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'absolute' => 0,
      'link_class' => '',
      'alt' => '',
      'rel' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 0,
    'label_type' => 'widget',
    'format' => 'default',
    'multiple' => array(
      'group' => TRUE,
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_reversed' => FALSE,
    ),
    'exclude' => 0,
    'id' => 'field_syndeploy_entity_uuid_value',
    'table' => 'node_data_field_syndeploy_entity_uuid',
    'field' => 'field_syndeploy_entity_uuid_value',
    'relationship' => 'none',
  ),
  'field_syndeploy_entity_rev_uuid_value' => array(
    'label' => 'Entity revision UUID',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'absolute' => 0,
      'link_class' => '',
      'alt' => '',
      'rel' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 0,
    'label_type' => 'widget',
    'format' => 'default',
    'multiple' => array(
      'group' => TRUE,
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_reversed' => FALSE,
    ),
    'exclude' => 0,
    'id' => 'field_syndeploy_entity_rev_uuid_value',
    'table' => 'node_data_field_syndeploy_entity_rev_uuid',
    'field' => 'field_syndeploy_entity_rev_uuid_value',
    'relationship' => 'none',
  ),
  'field_syndeploy_update_type_value' => array(
    'label' => 'Update type',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'absolute' => 0,
      'link_class' => '',
      'alt' => '',
      'rel' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 0,
    'label_type' => 'widget',
    'format' => 'default',
    'multiple' => array(
      'group' => TRUE,
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_reversed' => FALSE,
    ),
    'exclude' => 0,
    'id' => 'field_syndeploy_update_type_value',
    'table' => 'node_data_field_syndeploy_update_type',
    'field' => 'field_syndeploy_update_type_value',
    'relationship' => 'none',
  ),
  'field_syndeploy_user_id_uid' => array(
    'label' => 'User ID',
    'alter' => array(
      'alter_text' => 0,
      'text' => '',
      'make_link' => 0,
      'path' => '',
      'absolute' => 0,
      'link_class' => '',
      'alt' => '',
      'rel' => '',
      'prefix' => '',
      'suffix' => '',
      'target' => '',
      'help' => '',
      'trim' => 0,
      'max_length' => '',
      'word_boundary' => 1,
      'ellipsis' => 1,
      'html' => 0,
      'strip_tags' => 0,
    ),
    'empty' => '',
    'hide_empty' => 0,
    'empty_zero' => 0,
    'link_to_node' => 0,
    'label_type' => 'widget',
    'format' => 'default',
    'multiple' => array(
      'group' => TRUE,
      'multiple_number' => '',
      'multiple_from' => '',
      'multiple_reversed' => FALSE,
    ),
    'exclude' => 0,
    'id' => 'field_syndeploy_user_id_uid',
    'table' => 'node_data_field_syndeploy_user_id',
    'field' => 'field_syndeploy_user_id_uid',
    'relationship' => 'none',
  ),
));
$handler->override_option('filters', array(
  'status' => array(
    'operator' => '=',
    'value' => '1',
    'group' => '0',
    'exposed' => FALSE,
    'expose' => array(
      'operator' => FALSE,
      'label' => '',
    ),
    'id' => 'status',
    'table' => 'node',
    'field' => 'status',
    'relationship' => 'none',
  ),
  'type' => array(
    'operator' => 'in',
    'value' => array(
      'syndeploy_log_entry' => 'syndeploy_log_entry',
    ),
    'group' => '0',
    'exposed' => FALSE,
    'expose' => array(
      'operator' => FALSE,
      'label' => '',
    ),
    'id' => 'type',
    'table' => 'node',
    'field' => 'type',
    'relationship' => 'none',
  ),
));
$handler->override_option('access', array(
  'type' => 'none',
));
$handler->override_option('cache', array(
  'type' => 'none',
));
$handler->override_option('title', 'Syndeploy log');
$handler->override_option('style_plugin', 'table');
$handler->override_option('style_options', array(
  'grouping' => '',
  'override' => 1,
  'sticky' => 0,
  'order' => 'desc',
  'summary' => '',
  'columns' => array(
    'field_syndeploy_update_id_value' => 'field_syndeploy_update_id_value',
    'field_syndeploy_entity_uuid_value' => 'field_syndeploy_entity_uuid_value',
    'field_syndeploy_entity_rev_uuid_value' => 'field_syndeploy_entity_rev_uuid_value',
    'field_syndeploy_update_type_value' => 'field_syndeploy_update_type_value',
    'field_syndeploy_user_id_uid' => 'field_syndeploy_user_id_uid',
  ),
  'info' => array(
    'field_syndeploy_update_id_value' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'field_syndeploy_entity_uuid_value' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'field_syndeploy_entity_rev_uuid_value' => array(
      'sortable' => 0,
      'separator' => '',
    ),
    'field_syndeploy_update_type_value' => array(
      'sortable' => 1,
      'separator' => '',
    ),
    'field_syndeploy_user_id_uid' => array(
      'separator' => '',
    ),
  ),
  'default' => 'field_syndeploy_update_id_value',
));
$handler = $view->new_display('page', 'Page', 'page_1');
$handler->override_option('path', 'syndeploy/log/page');
$handler->override_option('menu', array(
  'type' => 'normal',
  'title' => 'Syndeploy log',
  'description' => 'A log of content changes',
  'weight' => '0',
  'name' => 'navigation',
));
$handler->override_option('tab_options', array(
  'type' => 'none',
  'title' => '',
  'description' => '',
  'weight' => 0,
  'name' => 'navigation',
));

  // Add it to our views list.
  $views[$view->name] = $view;
  return $views;
}

